%define realname django-filter

Name:           python-%{realname}
Version:        22.1
Release:        %mkrel 1
Summary:        A Django application for allowing users to filter queryset dynamically
Group:          Development/Python
License:        BSD
URL:            https://pypi.python.org/pypi/django-filter
Source:         https://pypi.python.org/packages/source/d/%{realname}/%{realname}-%{version}.tar.gz

#
# Security patches
# P100 -> ...
#

BuildArch:      noarch
BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(sphinx)

%description
Django-filter provides a simple way to filter down a queryset based on
parameters a user provides.

%package -n python3-django-filter
Summary:        A Django application for allowing users to filter queryset dynamically
Group:          Development/Python
Requires:       python3-django

%description -n python3-django-filter
Django-filter provides a simple way to filter down a queryset based on
parameters a user provides.

%prep
%setup -q -n %{realname}-%{version}
%autopatch -p1


%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files django_filters

%check
%if 0
# this test fail on BS, have to investigate
rm tests/test_filters.py
%{__python3} runtests.py
%endif

%files -n python3-django-filter -f %{pyproject_files}
%doc CHANGES.rst README.rst html
%license LICENSE




%changelog
* Tue Sep 06 2022 neoclust <neoclust> 22.1-1.mga9
+ Revision: 1884632
- New version

* Thu Jun 09 2022 papoteur <papoteur> 21.1-1.mga9
+ Revision: 1863695
- new 21.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Nov 08 2021 neoclust <neoclust> 2.4.0-1.mga9
+ Revision: 1754894
- New version 2.4.0: Fixes CVE-2020-15225 (mga#29603)
- Add P100: Fixes CVE-2020-15225 (mga#29603)

* Sat Jun 26 2021 wally <wally> 2.3.0-2.mga9
+ Revision: 1732663
- Rebuild for python 3.9

* Thu Sep 10 2020 guillomovitch <guillomovitch> 2.3.0-1.mga8
+ Revision: 1624284
- new version 2.3.0

* Sun Feb 16 2020 umeabot <umeabot> 2.2.0-3.mga8
+ Revision: 1535460
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 2.2.0-2.mga8
+ Revision: 1451595
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 2.2.0-1.mga8
+ Revision: 1431013
- new version 2.2.0
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 0.11.0-6.mga7
+ Revision: 1355414
- rebuild for python 3.7
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.11.0-3.mga7
+ Revision: 1135379
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.11.0-2.mga6
+ Revision: 971240
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 philippem <philippem> 0.11.0-1.mga6
+ Revision: 890094
- fix BR for tests, disable one
- fix typo in BR
- update to 0.11.0, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 0.7-7.mga5
+ Revision: 739544
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7-6.mga5
+ Revision: 728282
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7-5.mga5
+ Revision: 687978
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7-3.mga4
+ Revision: 543244
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7-2.mga4
+ Revision: 498370
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.7-1.mga4
+ Revision: 472012
- update to 0.7

* Sun Jan 13 2013 umeabot <umeabot> 0.5.3-2.mga3
+ Revision: 378674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 ahmad <ahmad> 0.5.3-1.mga1
+ Revision: 42374
- imported package python-django-filter


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.3-1mdv2011.0
+ Revision: 591971
- import python-django-filter

